/*
 * Copyright 2011 FatWire Corporation. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package page;

import com.fatwire.gst.foundation.include.IncludeService;

import COM.FutureTense.Interfaces.ICS

import com.fatwire.gst.foundation.controller.action.Action
import com.fatwire.gst.foundation.controller.annotation.InjectForRequest
import com.fatwire.gst.foundation.controller.annotation.Mapping
import com.fatwire.gst.foundation.facade.runtag.render.CallTemplate.Style
import com.fatwire.gst.foundation.include.IncludeService
import com.fatwire.gst.foundation.mapping.AssetName

class GTTopNav implements Action {

    @InjectForRequest public IncludeService includeService;

    @Mapping("TopNavJavaScript")  public AssetName  TopNavJavaScriptVar;
    @Mapping("TopNav") public AssetName TopNav;
    @Mapping("LocaleForm")  public AssetName LocaleForm;

    public void handleRequest(ICS ics){
        includeService.element("TopNavJavaScript",TopNavJavaScriptVar.getName()).argument("cid", ics.GetVar("cid"))
        includeService.page("TopNav",TopNav.getName(),Style.pagelet).argument("sitepfx", ics.GetVar("sitepfx")).argument("site", ics.GetVar("site")).argument("locale" ,ics.GetVar("locale"))
        includeService.page("LocaleForm",LocaleForm.getName(),Style.pagelet).argument("sitepfx", ics.GetVar("sitepfx")).argument("site", ics.GetVar("site")).argument("locale" ,ics.GetVar("locale"))
    }
}


